Subject: bug#26531: Emacs crashes with adding space character

From: Ranjan Maitra <[email-masked]>
Date: Sun, 16 Apr 2017 13:32:10 -0500

Eli,

Thank you again!

> No, please try building the latest HEAD of the emacs-25 branch, or the
> latest release candidate of Emacs 25.2.

The problem does not show up with Emacs 25.2. 

> 
> > > Was this built with ralloc.c?  The symptoms (pointers to buffer text are garbled) sound similar to problems we had before we stopped using
> > ralloc.c.
> > 
> > How do I figure this out? 
> 
> If you see a file ralloc.o in the src directory after building Emacs,
> then the build uses ralloc.c.

Yes, indeed. 25.1 when built had this file after building.
 
> > Is there a date for the release of a new version?
> 
> Emacs 25.2 is about to be released in a couple of days, but I'm not
> sure you built that version.

NO, at that point, I did not, but the problem does not show up with 25.2-rc2 so hopefully this new release will fix it for good.

Thanks again!

Best wishes,
Ranjan

-- 
Ranjan Maitra <[email-masked]>